Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl.accessor
Class ObjectAccessor

    java.lang.Object
      ognl.ObjectPropertyAccessor
          com.opensymphony.xwork2.ognl.accessor.ObjectAccessor

All Implemented Interfaces:
  ognl.PropertyAccessor

    public class ObjectAccessor

extends ognl.ObjectPropertyAccessor

Constructor Summary
`ObjectAccessor()`

Method Summary
`java.lang.Object` | `getProperty(java.util.Map map, java.lang.Object o, java.lang.Object o1)`
`void` | `setProperty(java.util.Map map, java.lang.Object o, java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class ognl.ObjectPropertyAccessor
`getPossibleProperty, getPropertyClass, getSourceAccessor, getSourceSetter, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectAccessor

    public ObjectAccessor()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.util.Map map,
                                        java.lang.Object o,
                                        java.lang.Object o1)
                                 throws ognl.OgnlException

  Specified by:
    `getProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `getProperty` in class `ognl.ObjectPropertyAccessor`
  Throws:
    `ognl.OgnlException`

### setProperty

    public void setProperty(java.util.Map map,
                            java.lang.Object o,
                            java.lang.Object o1,
                            java.lang.Object o2)
                     throws ognl.OgnlException

  Specified by:
    `setProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `setProperty` in class `ognl.ObjectPropertyAccessor`
  Throws:
    `ognl.OgnlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.